#ifndef CAN_INIT_H
#define CAN_INIT_H

#define CAN_INIT	1
#define CAN_RUN		0
#define CAN_IE		0
#define CAN_SIE		0
#define CAN_EIE		0
#define CAN_CPS		0
#define CAN_CCE		1
#define CAN_TM		0
#define CAN_LEC		0
#define CAN_TXOK	0
#define CAN_RXOK	0
#define CAN_EWRN	0
#define CAN_BOFF	0

#define CAN_CSR_VAL	(CAN_RXOK << 12) | \
					(CAN_TXOK << 11) | \
					(CAN_LEC << 8) | \
					(CAN_TM << 7) | \
					(CAN_CCE << 6) | \
					(CAN_CPS << 4) | \
					(CAN_EIE << 3) | \
					(CAN_SIE << 2) | \
					(CAN_IE << 1) | \
					(CAN_INIT << 0)

#define CAND_MASK	0x60
#define CAND_VALUE	0x40

#define CAN_BTR_10KB	0x58fb
#define CAN_BTR_20KB	0x2571
#define CAN_BTR_50KB	0x2553
#define CAN_BTR_100KB	0x2549
#define CAN_BTR_125KB	0x7ec3
#define CAN_BTR_250KB	0x2543
#define CAN_BTR_500KB	0x2541
#define CAN_BTR_1000KB	0x2540

#define CAN_BR			CAN_BTR_125KB

/* Define CAN module control registers */

#define 	CR	*(unsigned char*) 0xef00
#define 	SR	*(unsigned char*) 0xef01
#define 	IR	*(unsigned char*) 0xef02
#define 	BTR	*(unsigned int *) 0xef04
#define 	GMS	*(unsigned int *) 0xef06
#define 	UGML	*(unsigned int *) 0xef08
#define 	LGML	*(unsigned int *) 0xef0a
#define 	UMLM	*(unsigned int *) 0xef0c
#define 	LMLM	*(unsigned int *) 0xef0e

#endif
